### R code from vignette source 'pbkrtest-introduction.Rnw'

###################################################
### code chunk number 1: pbkrtest-introduction.Rnw:43-44
###################################################
options(prompt = "R> ", continue = "+  ", width = 80, useFancyQuotes = FALSE)


###################################################
### code chunk number 2: pbkrtest-introduction.Rnw:49-50
###################################################
library(pbkrtest)


###################################################
### code chunk number 3: pbkrtest-introduction.Rnw:59-61
###################################################
data(shoes, package="MASS")
shoes


###################################################
### code chunk number 4: pbkrtest-introduction.Rnw:67-70
###################################################
plot(A~1, data=shoes, col='red',lwd=2, pch=1, ylab="wear", xlab="boy")
points(B~1, data=shoes, col='blue',lwd=2,pch=2)
points(I((A+B)/2)~1, data=shoes, pch='-', lwd=2)


###################################################
### code chunk number 5: pbkrtest-introduction.Rnw:78-81
###################################################
r1<-t.test(shoes$A, shoes$B, paired=T)
r2<-t.test(shoes$A-shoes$B)
r1


###################################################
### code chunk number 6: pbkrtest-introduction.Rnw:88-93
###################################################
boy <- rep(1:10,2)
boyf<- factor(letters[boy])
mat <- factor(c(rep("A", 10), rep("B",10)))
shoedf <- data.frame(wear=unlist(shoes), boy=boy, boyf=boyf, mat=mat)
head(shoedf)


###################################################
### code chunk number 7: pbkrtest-introduction.Rnw:99-100
###################################################
shoedf2 <-  shoedf[-c(9,12),]


###################################################
### code chunk number 8: pbkrtest-introduction.Rnw:105-109
###################################################
lmm1 <- lmer(wear~mat+(1|boyf), data=shoedf)
lmm0 <- update(lmm1, .~.-mat)
lmm1i <- lmer(wear~mat+(1|boyf), data=shoedf2)
lmm0i <- update(lmm1i, .~.-mat)


###################################################
### code chunk number 9: pbkrtest-introduction.Rnw:116-118
###################################################
anova(lmm1, lmm0, test="Chisq")
anova(lmm1i, lmm0i, test="Chisq")


###################################################
### code chunk number 10: pbkrtest-introduction.Rnw:128-129
###################################################
(kr<-KRmodcomp(lmm1, lmm0))


###################################################
### code chunk number 11: pbkrtest-introduction.Rnw:133-134
###################################################
summary(kr)


###################################################
### code chunk number 12: pbkrtest-introduction.Rnw:140-141
###################################################
getKR(kr, "ddf")


###################################################
### code chunk number 13: pbkrtest-introduction.Rnw:145-146
###################################################
(kri<-KRmodcomp(lmm1i, lmm0i))


###################################################
### code chunk number 14: pbkrtest-introduction.Rnw:158-159
###################################################
(pb<-PBmodcomp(lmm1, lmm0, nsim=99))


###################################################
### code chunk number 15: pbkrtest-introduction.Rnw:163-164
###################################################
summary(pb)


###################################################
### code chunk number 16: pbkrtest-introduction.Rnw:170-171
###################################################
(pbi<-PBmodcomp(lmm1i, lmm0i, nsim=99))


###################################################
### code chunk number 17: pbkrtest-introduction.Rnw:180-183
###################################################
lm1<-lm(wear~mat+boyf, data=shoedf)
lm0<-update(lm1, .~.-mat)
anova(lm1, lm0)


###################################################
### code chunk number 18: pbkrtest-introduction.Rnw:188-191
###################################################
lm1i<-lm(wear~mat+boyf, data=shoedf2)
lm0i<-update(lm1i, .~.-mat)
anova(lm1i, lm0i)


###################################################
### code chunk number 19: pbkrtest-introduction.Rnw:204-207
###################################################
shoedf3 <- subset(shoedf, boy<=5)
lmm1 <- lmer(wear~mat+(1|boyf), data=shoedf3)
SG <- LMM_Sigma_G(lmm1)


###################################################
### code chunk number 20: pbkrtest-introduction.Rnw:211-212
###################################################
round(SG$Sigma*10)


###################################################
### code chunk number 21: pbkrtest-introduction.Rnw:216-217
###################################################
SG$G


